.iframe-container{
position: relative; overflow: hidden; width: 100%;
}
.responsive-iframe{
position: absolute; top: 0; left: 0; bottom: 0; right: 0; width: 100%; height: 100%;
}
@media (min-width: 1500px){
.iframe-container{
padding-top: 35%;
}
}
@media (min-width: 901px) and (max-width: 1499px){
.iframe-container{
padding-top: 56.25%;
}
}
@media (max-width: 900px) {
.iframe-container{
padding-top: calc(80vh - 50vw);
}
}